# host.cpp File Reference

Functions related to getting host specific data (IPs). More...

`#include "../../stdafx.h"`
`#include "../../debug.h"`
`#include "address.h"`
`#include "../../string_func.h"`

Go to the source code of this file.

## Functions
static void | NetworkFindBroadcastIPsInternal (NetworkAddressList *broadcast)
| Internal implementation for finding the broadcast IPs.
void | NetworkFindBroadcastIPs (NetworkAddressList *broadcast)
| Find the IPv4 broadcast addresses; IPv6 uses a completely different strategy for broadcasting.

## Detailed Description

Functions related to getting host specific data (IPs).

Definition in file host.cpp.

## Function Documentation

void NetworkFindBroadcastIPs | ( | NetworkAddressList * | broadcast | ) |

Find the IPv4 broadcast addresses; IPv6 uses a completely different strategy for broadcasting.

Parameters:

  | broadcast | the list of broadcasts to write into.

Definition at line 201 of file host.cpp.

References SmallVector< T, S >::Begin(), SmallVector< T, S >::End(), NETWORK_DEFAULT_PORT, and NetworkFindBroadcastIPsInternal().

Referenced by NetworkStartUp().

static void NetworkFindBroadcastIPsInternal | ( | NetworkAddressList * | broadcast | ) | `[static]`

Internal implementation for finding the broadcast IPs.

This function is implemented multiple times for multiple targets.

Parameters:

  | broadcast | the list of broadcasts to write into.

Definition at line 155 of file host.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Contains(), lastof, and strecpy().

Referenced by NetworkFindBroadcastIPs().